﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OM_STOCKCHGLOGDETAIL', 'T_OM_STOCKCHGLOGDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_STOCKCHGLOGDETAIL') CREATE INDEX IDX_OM_STOCKCHGLOGDETAIL ON T_OM_STOCKCHGLOGDETAIL ( FID );


 EXEC P_ALTERPK 'PK_OM_XMFSTOCKCHANGELOG', 'T_OM_XMFSTOCKCHANGELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFSTOCKCHANGELOG') CREATE INDEX IDX_OM_XMFSTOCKCHANGELOG ON T_OM_XMFSTOCKCHANGELOG ( FBILLNO );


 EXEC P_ALTERPK 'PK_OM_XMFTORDERENTRY_S', 'T_OM_XMFTORDERENTRY_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTORDERENTRY_S') CREATE INDEX IDX_OM_XMFTORDERENTRY_S ON T_OM_XMFTORDERENTRY_S ( FBILLNO );


 EXEC P_ALTERPK 'PK_OM_XMFTSTOCKENTRY', 'T_OM_XMFTSTOCKENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTSTOCKENTRY_FK') CREATE INDEX IDX_OM_XMFTSTOCKENTRY_FK ON T_OM_XMFTSTOCKENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_OM_XMFTSTOCKENTRY_A', 'T_OM_XMFTSTOCKENTRY_A', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTSTOCKENTRY_A') CREATE INDEX IDX_OM_XMFTSTOCKENTRY_A ON T_OM_XMFTSTOCKENTRY_A ( FENTRYID );


 EXEC P_ALTERPK 'PK_OM_XMFTSTOCKENTRY_B', 'T_OM_XMFTSTOCKENTRY_B', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTSTOCKENTRY_B') CREATE INDEX IDX_OM_XMFTSTOCKENTRY_B ON T_OM_XMFTSTOCKENTRY_B ( FENTRYID );


 EXEC P_ALTERPK 'PK_OM_XMFTORDER', 'T_OM_XMFTORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTORDER') CREATE INDEX IDX_OM_XMFTORDER ON T_OM_XMFTORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OM_XMFTORDERENTRY', 'T_OM_XMFTORDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTORDERENTRY_FK') CREATE INDEX IDX_OM_XMFTORDERENTRY_FK ON T_OM_XMFTORDERENTRY ( FID );


 EXEC P_ALTERPK 'PK_OM_XMFTORDERENTRY_E', 'T_OM_XMFTORDERENTRY_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTORDERENTRY_E_FK') CREATE INDEX IDX_OM_XMFTORDERENTRY_E_FK ON T_OM_XMFTORDERENTRY_E ( FID );


 EXEC P_ALTERPK 'PK_OM_XMFTORDERMLOGENTRY', 'T_OM_XMFTORDERMLOGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_XMFTORDERMLOGENTRY_FID') CREATE INDEX IDX_OM_XMFTORDERMLOGENTRY_FID ON T_OM_XMFTORDERMLOGENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_OM_XMFTORDERMLOG', 'T_OM_XMFTORDERMLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_OM_XMFTORDERML_XBILLEID') CREATE INDEX INDEX_OM_XMFTORDERML_XBILLEID ON T_OM_XMFTORDERMLOG ( FXBILLENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_constraint.sql **/
