﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_constraint.sql **/

 EXEC P_ALTERPK 'PK_T_OM_MFTSTOCKPLAN', 'T_OM_MFTSTOCKPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_MFTSAN_FBILLNO') CREATE INDEX IDX_OM_MFTSAN_FBILLNO ON T_OM_MFTSTOCKPLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_MFTPSAN_CREATETIME') CREATE INDEX IDX_OM_MFTPSAN_CREATETIME ON T_OM_MFTSTOCKPLAN ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_MFTSPL_PURAPPLYID') CREATE INDEX IDX_OM_MFTSPL_PURAPPLYID ON T_OM_MFTSTOCKPLAN ( FPURAPPLYBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_MFTSPL_PMSTERIALID') CREATE INDEX IDX_OM_MFTSPL_PMSTERIALID ON T_OM_MFTSTOCKPLAN ( FMATERIALID ,FPRODUCTMASTERID );


 EXEC P_ALTERPK 'PK_T_OM_MFTSTOCKPLAN_L', 'T_OM_MFTSTOCKPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_MFTSANL_FID') CREATE INDEX IDX_OM_MFTSANL_FID ON T_OM_MFTSTOCKPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_OM_STOCKPLANENTRY', 'T_OM_STOCKPLANENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_STOCRY_FID') CREATE INDEX IDX_OM_STOCRY_FID ON T_OM_STOCKPLANENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_STOCRY_FSEQ') CREATE INDEX IDX_OM_STOCRY_FSEQ ON T_OM_STOCKPLANENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_STOCRY_FSRCBILLENTRYID') CREATE INDEX IDX_OM_STOCRY_FSRCBILLENTRYID ON T_OM_STOCKPLANENTRY ( FSRCBILLID ,FSRCBILLENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_STOCRY_MATMASTERID') CREATE INDEX IDX_OM_STOCRY_MATMASTERID ON T_OM_STOCKPLANENTRY ( FMATERIALID ,FMATERIELMASTERID );


 EXEC P_ALTERPK 'PK_T_OM_STOCKPLANENTRY_L', 'T_OM_STOCKPLANENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_STOCRYL_FENTRYID') CREATE INDEX IDX_OM_STOCRYL_FENTRYID ON T_OM_STOCKPLANENTRY_L ( FENTRYID ,FLOCALEID );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_constraint.sql **/
